Module java.desktop
Package javax.swing.plaf.basic

## Class BasicComboPopup.ListDataHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicComboPopup.ListDataHandler

All Implemented Interfaces:
  `EventListener`, `ListDataListener`

Enclosing class:
  BasicComboPopup

    public class BasicComboPopup.ListDataHandler
    extends Object
    implements ListDataListener

As of 1.4, this class is now obsolete, doesn't do anything, and is only included for backwards API compatibility. Do not call or override.

The functionality has been migrated into `ItemHandler`.

See Also:
  `BasicComboPopup.createItemListener()`

### Constructor Summary

Constructors
`ListDataHandler()`

### Method Summary

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface javax.swing.event.ListDataListener

`contentsChanged, intervalAdded, intervalRemoved`

### Constructor Detail

#### ListDataHandler

    public ListDataHandler()